GET private-location/{geoloc}/private-agents
Lists all private agents for a specified private location.
URL Parameters
| Name | Description |
|---|---|
| geoloc | The geolocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoloc.Request example
curl --request GET "https://api-asm2.apica.io/v3/private-location/{geoloc}/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "ac74a564-dbd3-48dc-9bab-8a89887207b4",
"agent_name": "sample string 2",
"customer_guid": "4651c085-e3da-471f-bb2b-429b9c888d47",
"geoloc": "sample string 4",
"created_utc": "2026-10-19T10:33:55",
"last_updated_utc": "2026-10-19T10:33:55",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-19T10:33:55",
"certificate_valid_till_utc": "2026-10-19T10:33:55",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "fdc3969d-8187-41ec-bc6c-7032393a2ccf",
"agent_name": "sample string 2",
"customer_guid": "2c3374fe-670a-4aed-9443-062c85590e72",
"geoloc": "sample string 4",
"created_utc": "2026-10-19T10:33:55",
"last_updated_utc": "2026-10-19T10:33:55",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-19T10:33:55",
"certificate_valid_till_utc": "2026-10-19T10:33:55",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "bd9ad619-d50a-4cd1-85e3-a8341fe1430c",
"agent_name": "sample string 2",
"customer_guid": "8269b2de-07a3-437d-9da2-fd1373845901",
"geoloc": "sample string 4",
"created_utc": "2026-10-19T10:33:55",
"last_updated_utc": "2026-10-19T10:33:55",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-19T10:33:55",
"certificate_valid_till_utc": "2026-10-19T10:33:55",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |